import { Theme } from "reagraph";

export var customTheme: Theme = {
  canvas: {
    background: "aliceblue",
  },
  node: {
    fill: "#69F",
    activeFill: "#36C",
    opacity: 1,
    selectedOpacity: 1,
    inactiveOpacity: 0.333,
    label: {
      color: "#404040",
      stroke: "white",
      activeColor: "black",
    },
    subLabel: {
      color: "#404040",
      stroke: "white",
      activeColor: "black",
    },
  },
  lasso: {
    border: "1px solid #55aaff",
    background: "rgba(75, 160, 255, 0.1)",
  },
  ring: {
    fill: "#69F",
    activeFill: "#36C",
  },
  edge: {
    fill: "#bed4ff",
    activeFill: "#36C",
    opacity: 1,
    selectedOpacity: 1,
    inactiveOpacity: 0.333,
    label: {
      stroke: "#fff",
      color: "#2A6475",
      activeColor: "#1DE9AC",
      fontSize: 6,
    },
  },
  arrow: {
    fill: "#bed4ff",
    activeFill: "#36C",
  },
  cluster: {
    stroke: "#D8E6EA",
    opacity: 1,
    selectedOpacity: 1,
    inactiveOpacity: 0.1,
    label: {
      stroke: "#fff",
      color: "#2A6475",
    },
  },
};
